1. Calls
Dialgood
  • DG
    • Call Control
      • Mute an active call
      • Unmute an active call
      • Clear Outbound Call Queue
      • Message Announcement
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
    • Calls
      • Place Outbound Call
        POST
      • Get Live Call Transcript
        GET
      • Get Call Transcript
        GET
      • Get Call Records
        GET
      • Get Call Recording
        GET
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Calls

Get Call Transcript

GET
https://api.dialgood.com/external/v1/{agentId}/conversations

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.dialgood.com/external/v1//conversations?convoId=10' \
--header 'Accept: application/json' \
--header 'api_token: <api-key>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "call_sid": "0a41bbbb-ce2b-4e1d-8f8c-307fa664eecb",
    "messages": [
        {
            "role": "assistant",
            "content": "Thanks for calling ABC - how can I help you today?"
        },
        {
            "role": "user",
            "content": "hey just looking to place a catering order"
        }
    ],
    "timestamp": "2025-12-08T12:58:48.483Z",
    "entities": {
        "eventDate": "next month on the fifteenth",
        "guestCount": "30 to 40"
    }
}
Modified at 2026-03-06 05:03:56
Previous
Get Live Call Transcript
Next
Get Call Records
Built with